commit c94dc9317f01eda78afdef01bceaed72fec5dd97
Author: Francois POIROTTE <francois.poirotte@c-s.fr>
Date:   Mon Jan 6 15:21:02 2020 +0100

    Mise à jour des copyrights
    
    Change-Id: I0c88aff7d81ee8e9ae695e883ad16cce8b8a4c28

diff --git a/app_cfg.py b/app_cfg.py
index a8ca6d6..815edee 100644
--- a/app_cfg.py
+++ b/app_cfg.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim: set fileencoding=utf-8 sw=4 ts=4 et :
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/doc/conf.py b/doc/conf.py
index 8962d8d..2d2ee18 100644
--- a/doc/conf.py
+++ b/doc/conf.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2011-2019 CS-SI
+# Copyright (C) 2011-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 name = u'vigiboard'
diff --git a/pkg/vigilo-vigiboard.sh.in b/pkg/vigilo-vigiboard.sh.in
index a79d9fe..ea561cb 100755
--- a/pkg/vigilo-vigiboard.sh.in
+++ b/pkg/vigilo-vigiboard.sh.in
@@ -1,5 +1,5 @@
 #!/bin/sh
-# Copyright (C) 2014-2019 CS-SI
+# Copyright (C) 2014-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 ACK=-1
diff --git a/setup.py b/setup.py
index 5a32485..ccba01e 100755
--- a/setup.py
+++ b/setup.py
@@ -1,7 +1,7 @@
 #!/usr/bin/env python
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 import os
diff --git a/vigiboard/__init__.py b/vigiboard/__init__.py
index f280643..3fa8055 100644
--- a/vigiboard/__init__.py
+++ b/vigiboard/__init__.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim: set fileencoding=utf-8 sw=4 ts=4 et :
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """The vigiboard package"""
diff --git a/vigiboard/config/__init__.py b/vigiboard/config/__init__.py
index 16ecea1..5f01b76 100644
--- a/vigiboard/config/__init__.py
+++ b/vigiboard/config/__init__.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """ Fichiers de configuration spécifiques à Vigiboard """
diff --git a/vigiboard/config/middleware.py b/vigiboard/config/middleware.py
index a25e8d5..c1ad422 100644
--- a/vigiboard/config/middleware.py
+++ b/vigiboard/config/middleware.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim: set fileencoding=utf-8 sw=4 ts=4 et :
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """WSGI middleware initialization for the vigiboard application."""
diff --git a/vigiboard/controllers/__init__.py b/vigiboard/controllers/__init__.py
index 2209fb4..b91db0f 100644
--- a/vigiboard/controllers/__init__.py
+++ b/vigiboard/controllers/__init__.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Contrôleurs de VigiBoard."""
diff --git a/vigiboard/controllers/feeds.py b/vigiboard/controllers/feeds.py
index 65d5758..f04f17c 100644
--- a/vigiboard/controllers/feeds.py
+++ b/vigiboard/controllers/feeds.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Sample controller module"""
diff --git a/vigiboard/controllers/plugins/__init__.py b/vigiboard/controllers/plugins/__init__.py
index 9a8edd5..15496bd 100644
--- a/vigiboard/controllers/plugins/__init__.py
+++ b/vigiboard/controllers/plugins/__init__.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/address.py b/vigiboard/controllers/plugins/address.py
index f7e20cc..0f8e60f 100644
--- a/vigiboard/controllers/plugins/address.py
+++ b/vigiboard/controllers/plugins/address.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/date.py b/vigiboard/controllers/plugins/date.py
index deb06b9..b904d40 100644
--- a/vigiboard/controllers/plugins/date.py
+++ b/vigiboard/controllers/plugins/date.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/details.py b/vigiboard/controllers/plugins/details.py
index 931c6a4..6a5b0c1 100644
--- a/vigiboard/controllers/plugins/details.py
+++ b/vigiboard/controllers/plugins/details.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/groups.py b/vigiboard/controllers/plugins/groups.py
index df4421a..ff0128e 100644
--- a/vigiboard/controllers/plugins/groups.py
+++ b/vigiboard/controllers/plugins/groups.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/hls.py b/vigiboard/controllers/plugins/hls.py
index c6fdf08..ebcfd78 100644
--- a/vigiboard/controllers/plugins/hls.py
+++ b/vigiboard/controllers/plugins/hls.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/hostname.py b/vigiboard/controllers/plugins/hostname.py
index 0bce066..3c788ed 100644
--- a/vigiboard/controllers/plugins/hostname.py
+++ b/vigiboard/controllers/plugins/hostname.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/id.py b/vigiboard/controllers/plugins/id.py
index e19ae17..099cb22 100644
--- a/vigiboard/controllers/plugins/id.py
+++ b/vigiboard/controllers/plugins/id.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/map.py b/vigiboard/controllers/plugins/map.py
index 1167e28..c2a0bb9 100644
--- a/vigiboard/controllers/plugins/map.py
+++ b/vigiboard/controllers/plugins/map.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/masked_events.py b/vigiboard/controllers/plugins/masked_events.py
index 0c5aa62..7c0aa5f 100644
--- a/vigiboard/controllers/plugins/masked_events.py
+++ b/vigiboard/controllers/plugins/masked_events.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/occurrences.py b/vigiboard/controllers/plugins/occurrences.py
index b528d07..e5f2482 100644
--- a/vigiboard/controllers/plugins/occurrences.py
+++ b/vigiboard/controllers/plugins/occurrences.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/output.py b/vigiboard/controllers/plugins/output.py
index b6ae780..63bcab2 100644
--- a/vigiboard/controllers/plugins/output.py
+++ b/vigiboard/controllers/plugins/output.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/priority.py b/vigiboard/controllers/plugins/priority.py
index 7f4f438..dd14adc 100644
--- a/vigiboard/controllers/plugins/priority.py
+++ b/vigiboard/controllers/plugins/priority.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/servicename.py b/vigiboard/controllers/plugins/servicename.py
index 38f6c12..91170f0 100644
--- a/vigiboard/controllers/plugins/servicename.py
+++ b/vigiboard/controllers/plugins/servicename.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/state.py b/vigiboard/controllers/plugins/state.py
index e835985..03304f3 100644
--- a/vigiboard/controllers/plugins/state.py
+++ b/vigiboard/controllers/plugins/state.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/status.py b/vigiboard/controllers/plugins/status.py
index cc1f76c..c17cadd 100644
--- a/vigiboard/controllers/plugins/status.py
+++ b/vigiboard/controllers/plugins/status.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/test.py b/vigiboard/controllers/plugins/test.py
index f378d71..11ff073 100644
--- a/vigiboard/controllers/plugins/test.py
+++ b/vigiboard/controllers/plugins/test.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/root.py b/vigiboard/controllers/root.py
index 4b78751..fc3a34c 100644
--- a/vigiboard/controllers/root.py
+++ b/vigiboard/controllers/root.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """VigiBoard Controller"""
diff --git a/vigiboard/controllers/silence.py b/vigiboard/controllers/silence.py
index e8f10b3..64734bd 100644
--- a/vigiboard/controllers/silence.py
+++ b/vigiboard/controllers/silence.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Gère la planification des mises en silence."""
diff --git a/vigiboard/controllers/vigiboardrequest.py b/vigiboard/controllers/vigiboardrequest.py
index 7ab387d..8c839d3 100644
--- a/vigiboard/controllers/vigiboardrequest.py
+++ b/vigiboard/controllers/vigiboardrequest.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Gestion de la requête, des plugins et de l'affichage du Vigiboard"""
diff --git a/vigiboard/lib/__init__.py b/vigiboard/lib/__init__.py
index fcd4cea..70a53df 100644
--- a/vigiboard/lib/__init__.py
+++ b/vigiboard/lib/__init__.py
@@ -1,5 +1,5 @@
 # vim: set fileencoding=utf-8 sw=4 ts=4 et :
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Bibliothèques utilitaires pour VigiBoard."""
diff --git a/vigiboard/lib/app_globals.py b/vigiboard/lib/app_globals.py
index d8d5648..0d050de 100644
--- a/vigiboard/lib/app_globals.py
+++ b/vigiboard/lib/app_globals.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """The application's Globals object"""
diff --git a/vigiboard/lib/base.py b/vigiboard/lib/base.py
index 5966925..4333921 100644
--- a/vigiboard/lib/base.py
+++ b/vigiboard/lib/base.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Objets importés automatiquement dans les templates de TurboGears."""
diff --git a/vigiboard/lib/dateformat.py b/vigiboard/lib/dateformat.py
index 912a4a8..1643767 100644
--- a/vigiboard/lib/dateformat.py
+++ b/vigiboard/lib/dateformat.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/lib/error_handler.py b/vigiboard/lib/error_handler.py
index c5ef3a0..61799b8 100644
--- a/vigiboard/lib/error_handler.py
+++ b/vigiboard/lib/error_handler.py
@@ -1,5 +1,5 @@
 # vim: set fileencoding=utf-8 sw=4 ts=4 et :
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Fonction de gestion des messages d'erreur"""
diff --git a/vigiboard/lib/export_csv.py b/vigiboard/lib/export_csv.py
index fe7677d..abd2508 100644
--- a/vigiboard/lib/export_csv.py
+++ b/vigiboard/lib/export_csv.py
@@ -1,5 +1,5 @@
 # vim: set fileencoding=utf-8 sw=4 ts=4 et :
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Fonction d'export des alertes au format CSV."""
diff --git a/vigiboard/public/js/main.js b/vigiboard/public/js/main.js
index f2ace94..fc9df78 100644
--- a/vigiboard/public/js/main.js
+++ b/vigiboard/public/js/main.js
@@ -1,7 +1,7 @@
 /*
  * Vigiboard
  *
- * Copyright (C) 2009-2019 CS-SI
+ * Copyright (C) 2009-2020 CS-SI
  */
 
 var vigiloLog = new Log();
diff --git a/vigiboard/public/js/silence.js b/vigiboard/public/js/silence.js
index d051f83..8683c5f 100644
--- a/vigiboard/public/js/silence.js
+++ b/vigiboard/public/js/silence.js
@@ -1,7 +1,7 @@
 /*
  * Vigiboard
  *
- * Copyright (C) 2009-2019 CS-SI
+ * Copyright (C) 2009-2020 CS-SI
  */
 
 // Fonction d'échappement
diff --git a/vigiboard/public/js/silence_form.js b/vigiboard/public/js/silence_form.js
index ae1ee36..2f7da10 100644
--- a/vigiboard/public/js/silence_form.js
+++ b/vigiboard/public/js/silence_form.js
@@ -1,7 +1,7 @@
 /*
  * Vigiboard
  *
- * Copyright (C) 2009-2019 CS-SI
+ * Copyright (C) 2009-2020 CS-SI
  */
 
 // Appelé au chargement de la page
diff --git a/vigiboard/public/js/tree.js b/vigiboard/public/js/tree.js
index d2c0834..efe2303 100644
--- a/vigiboard/public/js/tree.js
+++ b/vigiboard/public/js/tree.js
@@ -1,6 +1,6 @@
 /**
  * VigiBoard, composant de Vigilo.
- * Copyright (C) 2009-2019 CS-SI
+ * Copyright (C) 2009-2020 CS-SI
  * Licence : GNU GPL v2 ou superieure
  *
  */
diff --git a/vigiboard/tests/__init__.py b/vigiboard/tests/__init__.py
index ff07ef5..7facf55 100644
--- a/vigiboard/tests/__init__.py
+++ b/vigiboard/tests/__init__.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Unit and functional test suite for vigiboard."""
diff --git a/vigiboard/tests/functional/plugins/test_details_plugin.py b/vigiboard/tests/functional/plugins/test_details_plugin.py
index 9150ab7..e5ee141 100644
--- a/vigiboard/tests/functional/plugins/test_details_plugin.py
+++ b/vigiboard/tests/functional/plugins/test_details_plugin.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/plugins/test_details_plugin_maps.py b/vigiboard/tests/functional/plugins/test_details_plugin_maps.py
index 1c4ff0d..c75bd17 100644
--- a/vigiboard/tests/functional/plugins/test_details_plugin_maps.py
+++ b/vigiboard/tests/functional/plugins/test_details_plugin_maps.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/plugins/test_plugin_hls.py b/vigiboard/tests/functional/plugins/test_plugin_hls.py
index 866e366..41f1bc3 100644
--- a/vigiboard/tests/functional/plugins/test_plugin_hls.py
+++ b/vigiboard/tests/functional/plugins/test_plugin_hls.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """ Test du plugin listant les services de haut niveau impactés. """
diff --git a/vigiboard/tests/functional/test_authentication.py b/vigiboard/tests/functional/test_authentication.py
index 04810ae..b0d106c 100644
--- a/vigiboard/tests/functional/test_authentication.py
+++ b/vigiboard/tests/functional/test_authentication.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_correvents_table.py b/vigiboard/tests/functional/test_correvents_table.py
index 5ffe77f..3791722 100644
--- a/vigiboard/tests/functional/test_correvents_table.py
+++ b/vigiboard/tests/functional/test_correvents_table.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_group_selection_tree.py b/vigiboard/tests/functional/test_group_selection_tree.py
index 4fe8c43..6a64bdc 100644
--- a/vigiboard/tests/functional/test_group_selection_tree.py
+++ b/vigiboard/tests/functional/test_group_selection_tree.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_history_table.py b/vigiboard/tests/functional/test_history_table.py
index 04b3aaf..4954861 100644
--- a/vigiboard/tests/functional/test_history_table.py
+++ b/vigiboard/tests/functional/test_history_table.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_raw_events_table.py b/vigiboard/tests/functional/test_raw_events_table.py
index 40b5bc4..8eaca9d 100644
--- a/vigiboard/tests/functional/test_raw_events_table.py
+++ b/vigiboard/tests/functional/test_raw_events_table.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_root.py b/vigiboard/tests/functional/test_root.py
index 0d34c15..f8f0705 100644
--- a/vigiboard/tests/functional/test_root.py
+++ b/vigiboard/tests/functional/test_root.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_search_form_host.py b/vigiboard/tests/functional/test_search_form_host.py
index 5af0a3b..c688003 100644
--- a/vigiboard/tests/functional/test_search_form_host.py
+++ b/vigiboard/tests/functional/test_search_form_host.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_search_form_misc.py b/vigiboard/tests/functional/test_search_form_misc.py
index bb53afb..b39156e 100644
--- a/vigiboard/tests/functional/test_search_form_misc.py
+++ b/vigiboard/tests/functional/test_search_form_misc.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_search_form_service.py b/vigiboard/tests/functional/test_search_form_service.py
index 660d7c5..e1c7af4 100644
--- a/vigiboard/tests/functional/test_search_form_service.py
+++ b/vigiboard/tests/functional/test_search_form_service.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_search_form_supitemgroup.py b/vigiboard/tests/functional/test_search_form_supitemgroup.py
index 76c6b03..b4fb4d0 100644
--- a/vigiboard/tests/functional/test_search_form_supitemgroup.py
+++ b/vigiboard/tests/functional/test_search_form_supitemgroup.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_silence.py b/vigiboard/tests/functional/test_silence.py
index 3bfaa94..ab9c602 100644
--- a/vigiboard/tests/functional/test_silence.py
+++ b/vigiboard/tests/functional/test_silence.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_sorting.py b/vigiboard/tests/functional/test_sorting.py
index 966de09..04739c0 100644
--- a/vigiboard/tests/functional/test_sorting.py
+++ b/vigiboard/tests/functional/test_sorting.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/utils.py b/vigiboard/tests/functional/utils.py
index be2490c..ce526cd 100644
--- a/vigiboard/tests/functional/utils.py
+++ b/vigiboard/tests/functional/utils.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2006-2019 CS-SI
+# Copyright (C) 2006-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/websetup.py b/vigiboard/websetup.py
index b221c42..e5d5294 100644
--- a/vigiboard/websetup.py
+++ b/vigiboard/websetup.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Setup the vigiboard application"""
diff --git a/vigiboard/widgets/__init__.py b/vigiboard/widgets/__init__.py
index 74e5c93..c4c9245 100755
--- a/vigiboard/widgets/__init__.py
+++ b/vigiboard/widgets/__init__.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """The Vigiboard Widgets package"""
diff --git a/vigiboard/widgets/edit_event.py b/vigiboard/widgets/edit_event.py
index f7d9ce3..d85ee63 100755
--- a/vigiboard/widgets/edit_event.py
+++ b/vigiboard/widgets/edit_event.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Le formulaire d'édition d'un événement."""
diff --git a/vigiboard/widgets/search_form.py b/vigiboard/widgets/search_form.py
index d1f4202..5b881bf 100644
--- a/vigiboard/widgets/search_form.py
+++ b/vigiboard/widgets/search_form.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2019 CS-SI
+# Copyright (C) 2007-2020 CS-SI
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Le formulaire de recherche/filtrage."""