commit b373a5def4f6f514af268d13807c766645a62222
Author: Aurelien BOMPARD <aurelien.bompard@c-s.fr>
Date:   Tue Apr 19 18:00:30 2011 +0000

    Ajout des copyrights manquants
    
    git-svn-id: https://vigilo-dev.si.c-s.fr/svn@6846 b22e2e97-25c9-44ff-b637-2e5ceca36478

diff --git a/setup.py b/setup.py
index bb504b0..517b44d 100644
--- a/setup.py
+++ b/setup.py
@@ -1,6 +1,8 @@
 #!/usr/bin/env python
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
+# Copyright (C) 2006-2011 CS-SI
+# License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 import os
 
diff --git a/vigiboard/config/deployment.ini_tmpl b/vigiboard/config/deployment.ini_tmpl
index 0999b06..d307356 100644
--- a/vigiboard/config/deployment.ini_tmpl
+++ b/vigiboard/config/deployment.ini_tmpl
@@ -3,6 +3,9 @@
 #
 # The %(here)s variable will be replaced with the parent directory of this file
 #
+# Copyright (C) 2006-2011 CS-SI
+# License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
+
 [DEFAULT]
 # WARGING == If debug is not set to false, you'll get the interactive
 # debugger on production, which is a huge security hole. 
diff --git a/vigiboard/controllers/feeds.py b/vigiboard/controllers/feeds.py
index 8f700b7..5823140 100644
--- a/vigiboard/controllers/feeds.py
+++ b/vigiboard/controllers/feeds.py
@@ -1,4 +1,7 @@
 # -*- coding: utf-8 -*-
+# Copyright (C) 2006-2011 CS-SI
+# License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
+
 """Sample controller module"""
 
 import logging
diff --git a/vigiboard/lib/dateformat.py b/vigiboard/lib/dateformat.py
index 8f12f4c..b392798 100644
--- a/vigiboard/lib/dateformat.py
+++ b/vigiboard/lib/dateformat.py
@@ -1,4 +1,7 @@
 # -*- coding: utf-8 -*-
+# Copyright (C) 2006-2011 CS-SI
+# License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
+
 """
 Validateur et convertisseur de dates selon un format.
 """
diff --git a/vigiboard/tests/__init__.py b/vigiboard/tests/__init__.py
index 0996aaf..0960780 100644
--- a/vigiboard/tests/__init__.py
+++ b/vigiboard/tests/__init__.py
@@ -1,4 +1,7 @@
 # -*- coding: utf-8 -*-
+# Copyright (C) 2006-2011 CS-SI
+# License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
+
 """Unit and functional test suite for vigiboard."""
 
 from os import path, environ
diff --git a/vigiboard/tests/functional/plugins/test_details_plugin.py b/vigiboard/tests/functional/plugins/test_details_plugin.py
index e8728b5..3c97323 100644
--- a/vigiboard/tests/functional/plugins/test_details_plugin.py
+++ b/vigiboard/tests/functional/plugins/test_details_plugin.py
@@ -1,4 +1,7 @@
 # -*- coding: utf-8 -*-
+# Copyright (C) 2006-2011 CS-SI
+# License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
+
 """
 Teste le formulaire donnant les liens vers les outils extérieurs
 et les données de l'historique.
diff --git a/vigiboard/tests/functional/plugins/test_plugin_hls.py b/vigiboard/tests/functional/plugins/test_plugin_hls.py
index cae81ca..d65720f 100644
--- a/vigiboard/tests/functional/plugins/test_plugin_hls.py
+++ b/vigiboard/tests/functional/plugins/test_plugin_hls.py
@@ -1,4 +1,7 @@
 # -*- coding: utf-8 -*-
+# Copyright (C) 2006-2011 CS-SI
+# License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
+
 """ Test du plugin listant les services de haut niveau impactés. """
 
 from datetime import datetime
diff --git a/vigiboard/tests/functional/test_authentication.py b/vigiboard/tests/functional/test_authentication.py
index 345b395..5d53a47 100644
--- a/vigiboard/tests/functional/test_authentication.py
+++ b/vigiboard/tests/functional/test_authentication.py
@@ -1,4 +1,7 @@
 # -*- coding: utf-8 -*-
+# Copyright (C) 2006-2011 CS-SI
+# License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
+
 """
 Integration tests for the :mod:`repoze.who`-powered authentication sub-system.
 
diff --git a/vigiboard/tests/functional/test_correvents_table.py b/vigiboard/tests/functional/test_correvents_table.py
index dbbe390..9a7c221 100644
--- a/vigiboard/tests/functional/test_correvents_table.py
+++ b/vigiboard/tests/functional/test_correvents_table.py
@@ -1,5 +1,8 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
+# Copyright (C) 2006-2011 CS-SI
+# License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
+
 """
 Test du tableau d'événements de Vigiboard
 """
diff --git a/vigiboard/tests/functional/test_group_selection_tree.py b/vigiboard/tests/functional/test_group_selection_tree.py
index 1a3b549..d913a09 100644
--- a/vigiboard/tests/functional/test_group_selection_tree.py
+++ b/vigiboard/tests/functional/test_group_selection_tree.py
@@ -1,4 +1,7 @@
 # -*- coding: utf-8 -*-
+# Copyright (C) 2006-2011 CS-SI
+# License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
+
 """
 Teste l'arbre de sélection des groupes du formulaire de recherche
 """
diff --git a/vigiboard/tests/functional/test_history_table.py b/vigiboard/tests/functional/test_history_table.py
index 5701261..7c6003a 100644
--- a/vigiboard/tests/functional/test_history_table.py
+++ b/vigiboard/tests/functional/test_history_table.py
@@ -1,5 +1,8 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
+# Copyright (C) 2006-2011 CS-SI
+# License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
+
 """
 Vérifie que la page qui affiche l'historique des actions sur un événement
 brut fonctionne correctement.
diff --git a/vigiboard/tests/functional/test_raw_events_table.py b/vigiboard/tests/functional/test_raw_events_table.py
index 7ec6869..27c2c69 100644
--- a/vigiboard/tests/functional/test_raw_events_table.py
+++ b/vigiboard/tests/functional/test_raw_events_table.py
@@ -1,5 +1,8 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
+# Copyright (C) 2006-2011 CS-SI
+# License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
+
 """
 Test du tableau d'événements de Vigiboard
 """
diff --git a/vigiboard/tests/functional/test_root.py b/vigiboard/tests/functional/test_root.py
index fc6f87f..cb9ed66 100644
--- a/vigiboard/tests/functional/test_root.py
+++ b/vigiboard/tests/functional/test_root.py
@@ -1,4 +1,7 @@
 # -*- coding: utf-8 -*-
+# Copyright (C) 2006-2011 CS-SI
+# License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
+
 """
 Functional test suite for the root controller.
 
diff --git a/vigiboard/tests/functional/test_search_form_host.py b/vigiboard/tests/functional/test_search_form_host.py
index e166945..84d3892 100644
--- a/vigiboard/tests/functional/test_search_form_host.py
+++ b/vigiboard/tests/functional/test_search_form_host.py
@@ -1,4 +1,7 @@
 # -*- coding: utf-8 -*-
+# Copyright (C) 2006-2011 CS-SI
+# License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
+
 """
 Teste le formulaire de recherche avec un nom d'hôte.
 """
diff --git a/vigiboard/tests/functional/test_search_form_misc.py b/vigiboard/tests/functional/test_search_form_misc.py
index 4578524..065a622 100644
--- a/vigiboard/tests/functional/test_search_form_misc.py
+++ b/vigiboard/tests/functional/test_search_form_misc.py
@@ -1,4 +1,7 @@
 # -*- coding: utf-8 -*-
+# Copyright (C) 2006-2011 CS-SI
+# License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
+
 """
 Teste le formulaire de recherche avec divers champs.
 """
diff --git a/vigiboard/tests/functional/test_search_form_service.py b/vigiboard/tests/functional/test_search_form_service.py
index 946c4d4..3bcceb1 100644
--- a/vigiboard/tests/functional/test_search_form_service.py
+++ b/vigiboard/tests/functional/test_search_form_service.py
@@ -1,4 +1,7 @@
 # -*- coding: utf-8 -*-
+# Copyright (C) 2006-2011 CS-SI
+# License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
+
 """
 Teste le formulaire de recherche avec un nom de service.
 """
diff --git a/vigiboard/tests/functional/test_search_form_supitemgroup.py b/vigiboard/tests/functional/test_search_form_supitemgroup.py
index 689bebd..797f8d9 100644
--- a/vigiboard/tests/functional/test_search_form_supitemgroup.py
+++ b/vigiboard/tests/functional/test_search_form_supitemgroup.py
@@ -1,4 +1,7 @@
 # -*- coding: utf-8 -*-
+# Copyright (C) 2006-2011 CS-SI
+# License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
+
 """
 Teste le formulaire de recherche avec un groupe d'hôtes.
 """
diff --git a/vigiboard/tests/functional/utils.py b/vigiboard/tests/functional/utils.py
index 942947e..213a87e 100644
--- a/vigiboard/tests/functional/utils.py
+++ b/vigiboard/tests/functional/utils.py
@@ -1,5 +1,8 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
+# Copyright (C) 2006-2011 CS-SI
+# License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
+
 """
 Fonctions utilitaires réutilisables dans les différents tests.
 """