commit 011743be3de877dabaa898f85aaab02b2cca6cd5
Author: Francois POIROTTE <francois.poirotte@c-s.fr>
Date:   Tue Jun 30 17:08:47 2020 +0200

    [#2026] Changement de dénomination sociale
    
    Change-Id: I02610d9a7985e1332a82079ff3be70567a976211

diff --git a/app_cfg.py b/app_cfg.py
index b52abc4..4885b1f 100644
--- a/app_cfg.py
+++ b/app_cfg.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim: set fileencoding=utf-8 sw=4 ts=4 et :
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/doc/conf.py b/doc/conf.py
index 6bcc57e..b179c3b 100644
--- a/doc/conf.py
+++ b/doc/conf.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2011-2020 CS GROUP – France
+# Copyright (C) 2011-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 name = u'vigiboard'
diff --git a/pkg/vigilo-vigiboard.sh.in b/pkg/vigilo-vigiboard.sh.in
index 78110ae..8a98f53 100755
--- a/pkg/vigilo-vigiboard.sh.in
+++ b/pkg/vigilo-vigiboard.sh.in
@@ -1,5 +1,5 @@
 #!/bin/sh
-# Copyright (C) 2014-2020 CS GROUP – France
+# Copyright (C) 2014-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 ACK=-1
diff --git a/setup.py b/setup.py
index 1ed239b..51bf182 100755
--- a/setup.py
+++ b/setup.py
@@ -1,7 +1,7 @@
 #!/usr/bin/env python
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 import os
diff --git a/vigiboard/__init__.py b/vigiboard/__init__.py
index c1f0b44..62edb3a 100644
--- a/vigiboard/__init__.py
+++ b/vigiboard/__init__.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim: set fileencoding=utf-8 sw=4 ts=4 et :
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """The vigiboard package"""
diff --git a/vigiboard/config/__init__.py b/vigiboard/config/__init__.py
index 6861755..5c06881 100644
--- a/vigiboard/config/__init__.py
+++ b/vigiboard/config/__init__.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """ Fichiers de configuration spécifiques à Vigiboard """
diff --git a/vigiboard/config/middleware.py b/vigiboard/config/middleware.py
index a62c9f0..1b9eca3 100644
--- a/vigiboard/config/middleware.py
+++ b/vigiboard/config/middleware.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim: set fileencoding=utf-8 sw=4 ts=4 et :
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """WSGI middleware initialization for the vigiboard application."""
diff --git a/vigiboard/controllers/__init__.py b/vigiboard/controllers/__init__.py
index fda9f27..80ed458 100644
--- a/vigiboard/controllers/__init__.py
+++ b/vigiboard/controllers/__init__.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Contrôleurs de VigiBoard."""
diff --git a/vigiboard/controllers/feeds.py b/vigiboard/controllers/feeds.py
index 66b7e66..3dbfb83 100644
--- a/vigiboard/controllers/feeds.py
+++ b/vigiboard/controllers/feeds.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Sample controller module"""
diff --git a/vigiboard/controllers/plugins/__init__.py b/vigiboard/controllers/plugins/__init__.py
index 703bc47..0ce2b03 100644
--- a/vigiboard/controllers/plugins/__init__.py
+++ b/vigiboard/controllers/plugins/__init__.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/address.py b/vigiboard/controllers/plugins/address.py
index b444db8..40a974a 100644
--- a/vigiboard/controllers/plugins/address.py
+++ b/vigiboard/controllers/plugins/address.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/date.py b/vigiboard/controllers/plugins/date.py
index 96d6466..d848169 100644
--- a/vigiboard/controllers/plugins/date.py
+++ b/vigiboard/controllers/plugins/date.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/details.py b/vigiboard/controllers/plugins/details.py
index 226da7e..5570e30 100644
--- a/vigiboard/controllers/plugins/details.py
+++ b/vigiboard/controllers/plugins/details.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/groups.py b/vigiboard/controllers/plugins/groups.py
index 333af90..19f023b 100644
--- a/vigiboard/controllers/plugins/groups.py
+++ b/vigiboard/controllers/plugins/groups.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/hls.py b/vigiboard/controllers/plugins/hls.py
index 9157263..53708f9 100644
--- a/vigiboard/controllers/plugins/hls.py
+++ b/vigiboard/controllers/plugins/hls.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/hostname.py b/vigiboard/controllers/plugins/hostname.py
index d760f5f..78d1f16 100644
--- a/vigiboard/controllers/plugins/hostname.py
+++ b/vigiboard/controllers/plugins/hostname.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/id.py b/vigiboard/controllers/plugins/id.py
index 81b30ce..0616346 100644
--- a/vigiboard/controllers/plugins/id.py
+++ b/vigiboard/controllers/plugins/id.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/map.py b/vigiboard/controllers/plugins/map.py
index 8ccab26..1c85d9d 100644
--- a/vigiboard/controllers/plugins/map.py
+++ b/vigiboard/controllers/plugins/map.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/masked_events.py b/vigiboard/controllers/plugins/masked_events.py
index 858c6de..21fa64f 100644
--- a/vigiboard/controllers/plugins/masked_events.py
+++ b/vigiboard/controllers/plugins/masked_events.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/occurrences.py b/vigiboard/controllers/plugins/occurrences.py
index 48afedd..ad89a9b 100644
--- a/vigiboard/controllers/plugins/occurrences.py
+++ b/vigiboard/controllers/plugins/occurrences.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/output.py b/vigiboard/controllers/plugins/output.py
index 96c5272..85eeffd 100644
--- a/vigiboard/controllers/plugins/output.py
+++ b/vigiboard/controllers/plugins/output.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/priority.py b/vigiboard/controllers/plugins/priority.py
index 0cd81c3..1b0d282 100644
--- a/vigiboard/controllers/plugins/priority.py
+++ b/vigiboard/controllers/plugins/priority.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/servicename.py b/vigiboard/controllers/plugins/servicename.py
index ae23179..924fcfd 100644
--- a/vigiboard/controllers/plugins/servicename.py
+++ b/vigiboard/controllers/plugins/servicename.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/state.py b/vigiboard/controllers/plugins/state.py
index 2a5c6e4..ec50d32 100644
--- a/vigiboard/controllers/plugins/state.py
+++ b/vigiboard/controllers/plugins/state.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/status.py b/vigiboard/controllers/plugins/status.py
index e320942..03df1b0 100644
--- a/vigiboard/controllers/plugins/status.py
+++ b/vigiboard/controllers/plugins/status.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/plugins/test.py b/vigiboard/controllers/plugins/test.py
index 339000c..71a3d31 100644
--- a/vigiboard/controllers/plugins/test.py
+++ b/vigiboard/controllers/plugins/test.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/controllers/root.py b/vigiboard/controllers/root.py
index 4eea2c1..c9f61c1 100644
--- a/vigiboard/controllers/root.py
+++ b/vigiboard/controllers/root.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """VigiBoard Controller"""
diff --git a/vigiboard/controllers/silence.py b/vigiboard/controllers/silence.py
index 5a011c6..bc69c9c 100644
--- a/vigiboard/controllers/silence.py
+++ b/vigiboard/controllers/silence.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Gère la planification des mises en silence."""
diff --git a/vigiboard/controllers/vigiboardrequest.py b/vigiboard/controllers/vigiboardrequest.py
index 17ebfdf..7182199 100644
--- a/vigiboard/controllers/vigiboardrequest.py
+++ b/vigiboard/controllers/vigiboardrequest.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Gestion de la requête, des plugins et de l'affichage du Vigiboard"""
diff --git a/vigiboard/lib/__init__.py b/vigiboard/lib/__init__.py
index b23edaf..85bfbc9 100644
--- a/vigiboard/lib/__init__.py
+++ b/vigiboard/lib/__init__.py
@@ -1,5 +1,5 @@
 # vim: set fileencoding=utf-8 sw=4 ts=4 et :
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Bibliothèques utilitaires pour VigiBoard."""
diff --git a/vigiboard/lib/app_globals.py b/vigiboard/lib/app_globals.py
index b36544d..e5f5cb3 100644
--- a/vigiboard/lib/app_globals.py
+++ b/vigiboard/lib/app_globals.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """The application's Globals object"""
diff --git a/vigiboard/lib/base.py b/vigiboard/lib/base.py
index 4eb8cf7..f5dde0b 100644
--- a/vigiboard/lib/base.py
+++ b/vigiboard/lib/base.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Objets importés automatiquement dans les templates de TurboGears."""
diff --git a/vigiboard/lib/dateformat.py b/vigiboard/lib/dateformat.py
index 2b030c8..86f8139 100644
--- a/vigiboard/lib/dateformat.py
+++ b/vigiboard/lib/dateformat.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/lib/error_handler.py b/vigiboard/lib/error_handler.py
index 4acdaa1..a958211 100644
--- a/vigiboard/lib/error_handler.py
+++ b/vigiboard/lib/error_handler.py
@@ -1,5 +1,5 @@
 # vim: set fileencoding=utf-8 sw=4 ts=4 et :
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Fonction de gestion des messages d'erreur"""
diff --git a/vigiboard/lib/export_csv.py b/vigiboard/lib/export_csv.py
index 4aa4f3e..ae5a1b8 100644
--- a/vigiboard/lib/export_csv.py
+++ b/vigiboard/lib/export_csv.py
@@ -1,5 +1,5 @@
 # vim: set fileencoding=utf-8 sw=4 ts=4 et :
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Fonction d'export des alertes au format CSV."""
diff --git a/vigiboard/public/js/main.js b/vigiboard/public/js/main.js
index c9636d1..2b8458c 100644
--- a/vigiboard/public/js/main.js
+++ b/vigiboard/public/js/main.js
@@ -1,7 +1,7 @@
 /*
  * Vigiboard
  *
- * Copyright (C) 2009-2020 CS GROUP – France
+ * Copyright (C) 2009-2020 CS GROUP - France
  */
 
 var vigiloLog = new Log();
diff --git a/vigiboard/public/js/silence.js b/vigiboard/public/js/silence.js
index b3e2fe8..85f5283 100644
--- a/vigiboard/public/js/silence.js
+++ b/vigiboard/public/js/silence.js
@@ -1,7 +1,7 @@
 /*
  * Vigiboard
  *
- * Copyright (C) 2009-2020 CS GROUP – France
+ * Copyright (C) 2009-2020 CS GROUP - France
  */
 
 // Fonction d'échappement
diff --git a/vigiboard/public/js/silence_form.js b/vigiboard/public/js/silence_form.js
index 8da8e8b..b8ccaf0 100644
--- a/vigiboard/public/js/silence_form.js
+++ b/vigiboard/public/js/silence_form.js
@@ -1,7 +1,7 @@
 /*
  * Vigiboard
  *
- * Copyright (C) 2009-2020 CS GROUP – France
+ * Copyright (C) 2009-2020 CS GROUP - France
  */
 
 // Appelé au chargement de la page
diff --git a/vigiboard/public/js/tree.js b/vigiboard/public/js/tree.js
index d8d05ee..0f3d6b4 100644
--- a/vigiboard/public/js/tree.js
+++ b/vigiboard/public/js/tree.js
@@ -1,6 +1,6 @@
 /**
  * VigiBoard, composant de Vigilo.
- * Copyright (C) 2009-2020 CS GROUP – France
+ * Copyright (C) 2009-2020 CS GROUP - France
  * Licence : GNU GPL v2 ou superieure
  *
  */
diff --git a/vigiboard/tests/__init__.py b/vigiboard/tests/__init__.py
index 8d29283..ac789bd 100644
--- a/vigiboard/tests/__init__.py
+++ b/vigiboard/tests/__init__.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Unit and functional test suite for vigiboard."""
diff --git a/vigiboard/tests/functional/plugins/test_details_plugin.py b/vigiboard/tests/functional/plugins/test_details_plugin.py
index e3da355..a47a03c 100644
--- a/vigiboard/tests/functional/plugins/test_details_plugin.py
+++ b/vigiboard/tests/functional/plugins/test_details_plugin.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/plugins/test_details_plugin_maps.py b/vigiboard/tests/functional/plugins/test_details_plugin_maps.py
index fb447a0..17d32c9 100644
--- a/vigiboard/tests/functional/plugins/test_details_plugin_maps.py
+++ b/vigiboard/tests/functional/plugins/test_details_plugin_maps.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/plugins/test_plugin_hls.py b/vigiboard/tests/functional/plugins/test_plugin_hls.py
index b0cc42a..124c5d4 100644
--- a/vigiboard/tests/functional/plugins/test_plugin_hls.py
+++ b/vigiboard/tests/functional/plugins/test_plugin_hls.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """ Test du plugin listant les services de haut niveau impactés. """
diff --git a/vigiboard/tests/functional/test_authentication.py b/vigiboard/tests/functional/test_authentication.py
index 2602259..f1a007d 100644
--- a/vigiboard/tests/functional/test_authentication.py
+++ b/vigiboard/tests/functional/test_authentication.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_correvents_table.py b/vigiboard/tests/functional/test_correvents_table.py
index 4db25b7..a65e51f 100644
--- a/vigiboard/tests/functional/test_correvents_table.py
+++ b/vigiboard/tests/functional/test_correvents_table.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_group_selection_tree.py b/vigiboard/tests/functional/test_group_selection_tree.py
index 731ffea..5340876 100644
--- a/vigiboard/tests/functional/test_group_selection_tree.py
+++ b/vigiboard/tests/functional/test_group_selection_tree.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_history_table.py b/vigiboard/tests/functional/test_history_table.py
index 40384df..dca527b 100644
--- a/vigiboard/tests/functional/test_history_table.py
+++ b/vigiboard/tests/functional/test_history_table.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_raw_events_table.py b/vigiboard/tests/functional/test_raw_events_table.py
index da50dc8..cc042f5 100644
--- a/vigiboard/tests/functional/test_raw_events_table.py
+++ b/vigiboard/tests/functional/test_raw_events_table.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_root.py b/vigiboard/tests/functional/test_root.py
index 58fbb71..6c1b441 100644
--- a/vigiboard/tests/functional/test_root.py
+++ b/vigiboard/tests/functional/test_root.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_search_form_host.py b/vigiboard/tests/functional/test_search_form_host.py
index 7e20977..ecbc37a 100644
--- a/vigiboard/tests/functional/test_search_form_host.py
+++ b/vigiboard/tests/functional/test_search_form_host.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_search_form_misc.py b/vigiboard/tests/functional/test_search_form_misc.py
index 8f264cb..690d2b9 100644
--- a/vigiboard/tests/functional/test_search_form_misc.py
+++ b/vigiboard/tests/functional/test_search_form_misc.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_search_form_service.py b/vigiboard/tests/functional/test_search_form_service.py
index 01e0a45..ad2b949 100644
--- a/vigiboard/tests/functional/test_search_form_service.py
+++ b/vigiboard/tests/functional/test_search_form_service.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_search_form_supitemgroup.py b/vigiboard/tests/functional/test_search_form_supitemgroup.py
index f438d2b..95e06f6 100644
--- a/vigiboard/tests/functional/test_search_form_supitemgroup.py
+++ b/vigiboard/tests/functional/test_search_form_supitemgroup.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_silence.py b/vigiboard/tests/functional/test_silence.py
index 0b862ad..c6ff6d1 100644
--- a/vigiboard/tests/functional/test_silence.py
+++ b/vigiboard/tests/functional/test_silence.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/test_sorting.py b/vigiboard/tests/functional/test_sorting.py
index 71d2a52..f3e7a6b 100644
--- a/vigiboard/tests/functional/test_sorting.py
+++ b/vigiboard/tests/functional/test_sorting.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/tests/functional/utils.py b/vigiboard/tests/functional/utils.py
index 9ff0e5b..6ebb75d 100644
--- a/vigiboard/tests/functional/utils.py
+++ b/vigiboard/tests/functional/utils.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2006-2020 CS GROUP – France
+# Copyright (C) 2006-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """
diff --git a/vigiboard/websetup.py b/vigiboard/websetup.py
index c4a9400..df376fb 100644
--- a/vigiboard/websetup.py
+++ b/vigiboard/websetup.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Setup the vigiboard application"""
diff --git a/vigiboard/widgets/__init__.py b/vigiboard/widgets/__init__.py
index e29cb91..a486ae3 100755
--- a/vigiboard/widgets/__init__.py
+++ b/vigiboard/widgets/__init__.py
@@ -1,5 +1,5 @@
 # -*- coding: utf-8 -*-
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """The Vigiboard Widgets package"""
diff --git a/vigiboard/widgets/edit_event.py b/vigiboard/widgets/edit_event.py
index a85e6fd..9c20c2b 100755
--- a/vigiboard/widgets/edit_event.py
+++ b/vigiboard/widgets/edit_event.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Le formulaire d'édition d'un événement."""
diff --git a/vigiboard/widgets/search_form.py b/vigiboard/widgets/search_form.py
index 978c440..ea4fedf 100644
--- a/vigiboard/widgets/search_form.py
+++ b/vigiboard/widgets/search_form.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 # vim:set expandtab tabstop=4 shiftwidth=4:
-# Copyright (C) 2007-2020 CS GROUP – France
+# Copyright (C) 2007-2020 CS GROUP - France
 # License: GNU GPL v2 <http://www.gnu.org/licenses/gpl-2.0.html>
 
 """Le formulaire de recherche/filtrage."""